import React, { Component } from 'react';
declare class SiteMapBuilder extends Component {
    props: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    toggleAutoSave(): void;
    componentDidMount(): Promise<void>;
    savePageAsDraft(data?: any, autoSave?: any): Promise<void>;
    onContentChange(data: any): Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element;
}
declare const _default: import("react-redux").ConnectedComponent<typeof SiteMapBuilder, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>>;
    store?: import("redux").Store<any, import("redux").AnyAction>;
}>;
export default _default;
export { SiteMapBuilder };
